<!--
“Copyright 2020 L'esfera”

This file is part of L'esfera.

L'esfera is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
-->

<template>
  <div id="app">
          
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <SearchNode />
            </div>  
            <div class="col-md-6 text-right">
                <span @click="go_home()" title="Start" style="cursor:pointer;">
                    <BIconHouse aria-hidden="true"
                                style="font-size: 1.4em; color: green" />
                    L'esfera: {{ total_nodes }} nodes
                </span>
            </div>
        </div>
    </div>

    <router-view :words="words"/>

    <footer class="footer">
      <div class="container text-right">
        <span class="text-muted">
            <a href="https://gitlab.com/la-loka/esfera">L'esfera</a>
            AGPLv3
        </span>
      </div>
    </footer>
  </div>
</template>


<script>
import axios from 'axios'
import { eventBus } from '@/main.js';
import SearchNode from '@/components/search-node/SearchNode.vue'
import { BIconHouse } from 'bootstrap-vue';

export default {
    name: 'App',
    components: {
        SearchNode,
        BIconHouse,
    },
    data() {
        return {
            //current_node: {},
            total_nodes: 0,
            words: [],
        }
    },
    created () {
        document.title = "L'esfera"
        eventBus.$on('incNodeCount', () => {
            this.getCloudData()
        });
    },
    mounted () {
        this.getCloudData()
    },
    methods: {
        getCloudData: function () {
            axios
            .get(process.env.VUE_APP_API_SERVER + '/node-weights')
            .then(response => ( this.words = response.data.weights,
                                this.total_nodes = response.data.total_nodes ))
        },
        go_home: function () {
            this.$router.push({ name: 'Home' })
            document.title = "L'esfera"
        },
    },
    computed: {
        current_node_id: function () {
            return this.current_node.id
        },
    },
}
</script>


<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin-top: 0.5em;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}
body {
  margin-bottom: 60px; /* Margin bottom by footer height */
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px; /* Set the fixed height of the footer here */
  line-height: 60px; /* Vertically center the text there */
  background-color: #f5f5f5;
}
</style>
